# pydicom.encaps.itemize_frame

pydicom.encaps.itemize_frame(frame: bytes, nr_fragments: int = 1) → Iterator[bytes]

  Yield items generated from frame.

  Added in version 1.2.

  Parameters:

    - frame (bytes) – The data to fragment and itemise.

    - nr_fragments (int, optional) – The number of fragments/items (default 1).

  Yields:

    bytes – An itemized fragment of the frame, encoded as little endian.

  Notes

  - The encoding of the items shall be in Little Endian.

  - Each fragment is encapsulated as a DICOM Item with tag (FFFE,E000), then a 4 byte length.

  References

  DICOM Standard, Part 5, Section 7.5 and Annex A.4